.top-area-flex {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.top-area-list li a {
    display: flex;
    align-items: baseline;
    gap: 0px;
    font-size: 15px;
    color: white;
    font-weight: 500;
    padding-inline-end: 10px;
    margin-inline-end: 10px;
    position: relative;
}

.top-area-list li a:before {
    content: '';
    position: absolute;
    width: 1px;
    height: 13px;
    background: #ffffff24;
    left: -5px;
    top: 50%;
    transform: translateY(-50%);
}

.top-area-list li:last-child a:before {display:none;}

.top-area-list li a i {
    font-size: 15px;
}

.top-area-list {
    display: flex;
    gap: 0px;
}

.--socialheader ul {
    display: flex;
    gap: 3px;
}

.--socialheader ul li a {
    font-size: 18px;
    color: #ededed;
    border-radius: var(--miniradius);
    padding: 8px;
    display: flex;
    width: 40px;
    align-items: center;
    justify-content: center;
    height: 29px;
}

.topbar-are {
    padding-block: 8px;
    backdrop-filter: blur(0px);
}

.Header_content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 999;
    transition: all ease .3s;
}

header.active {
    transform: translate(0px, -51px);
}

.-Header-Fix {
     padding: 8px;
     background: linear-gradient(0deg, #00000000, #0000001a);
     backdrop-filter: blur(10px);
     box-shadow: 0 0px 40px #0000005e;
     border-width: 2px 0px 2px 0px;
     border-style: solid;
     border-color: #ffffff1a;
}

.active .-Header-Fix {
    background: white;
    border-color: white;
}
.-main-nav {
    flex: 1;
    display: flex;
    align-items: center;
    padding: 0 30px;
    justify-content: center;
}
.-main-nav>ul {
    display: flex;
    align-items: center;
    gap: 5px;
}
.-main-nav>ul>li {
    align-items: center;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    padding: 5px 0;
}
.-main-nav>ul>li:hover > ul.sub-menu {
    opacity: 1;
    visibility: visible;
    transform: translate(0);
    transition: 250ms opacity cubic-bezier(0, 0, 1, 1), 120ms transform cubic-bezier(0, 0, 1, 1);
}
.-main-nav ul.sub-menu>li:hover > ul.sub-menu {
    opacity: 1;
    visibility: visible;
    transform: translate(0);
    transition: 250ms opacity cubic-bezier(0, 0, 1, 1), 120ms transform cubic-bezier(0, 0, 1, 1);
}

.-main-nav>ul>li ul.sub-menu ul.sub-menu {
    right: calc(100% + 10px);
    top: calc(100% - 45px);
}
.-main-nav>ul>li ul.sub-menu {
    opacity: 0;
    visibility: hidden;
    transform: scale(.85);
    transition: 0.3s all ease;
    position: absolute;
    z-index: 99;
    padding: 5px;
    box-shadow: 0 2px 3px #0c3b7414, 0 17px 30px 10px #0f61c70d;
    background: white;
    border-radius: 10px;
    color: var(--primary-text);
    font-size: 16px;
    top: calc(100% + 0px);
    width: 100%;
    display: block;
    min-width: 219px;
    list-style: none;
    border: solid 1px #e4e7ec;
    transform-origin: top right;
}
.-main-nav>ul>li>a {
    padding: 10px 12px;
    min-width: max-content;
    position: relative;
    font-size: 18px;
    font-weight: 500;
    color: #f5f5f5;
    border-radius: var(--Xlargeradius);
    line-height: 1;
}
.active .-main-nav>ul>li>a:hover{
    color:var(--primary-text);
}
.active .-main-nav>ul>li>a {
    color: var(--secondarytext);
}
.active .-main-nav>ul>li.current-menu-item>a, .active .-main-nav>ul>li.current_page_item>a, .active .-main-nav>ul>li.current_page_parent>a, .active .-main-nav>ul>li.current-menu-ancestor>a{
    color:var(--primary-text);
    background: var(--background);
}
 
.-main-nav>ul>li.menu-item-has-children>a {
    padding-inline-end: 27px;
}
.-Show-SubMenu-Icon {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    left: 9px;
    font-size: 10px;
    color: white;
}

.active .-Show-SubMenu-Icon {
    color: var(--primary-text);
}
.active .-main-nav>ul>li.current-menu-item>.-Show-SubMenu-Icon, .active .-main-nav>ul>li.current_page_item>.-Show-SubMenu-Icon, .active .-main-nav>ul>li.current_page_parent>.-Show-SubMenu-Icon, .active .-main-nav>ul>li.current-menu-ancestor>.-Show-SubMenu-Icon{
     color: var(--primary-text);    
}
.sub-menu .-Show-SubMenu-Icon>i {
    transform: rotate(90deg);
    top: 11px;
}
.-main-nav>ul>li.current-menu-item>.-Show-SubMenu-Icon, 
.-main-nav>ul>li.current_page_item>.-Show-SubMenu-Icon, 
.-main-nav>ul>li.current_page_parent>.-Show-SubMenu-Icon,
.-main-nav>ul>li.current-menu-ancestor>.-Show-SubMenu-Icon{
    color: white;
}

.-main-nav>ul>li>ul.sub-menu>li {
    display: flex;
    position: relative;
    align-content: center;
    align-items: center;
}
.-main-nav>ul>li ul.sub-menu>li>a {
    display: flex;
    align-items: center;
    padding: 8px 12px;
    border-radius: var(--miniradius);
    flex: 1;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5;
    color: var(--primary-text);
}

.-main-nav>ul>li ul.sub-menu>li.current-menu-item>a {
    color: var(--uicolor);
}
.-main-nav>ul>li>ul.sub-menu>li a:hover, 
.-main-nav>ul>li>ul.sub-menu>li.current-menu-item > a,
.-main-nav>ul>li>ul.sub-menu>li.current-menu-ancestor > a
{
    color: var(--uicolor);
    padding-inline: 17px;
}
.-main-nav>ul>li>ul.sub-menu>li a:hover+.-Show-SubMenu-Icon, 
.-main-nav>ul>li>ul.sub-menu>li.current-menu-item > .-Show-SubMenu-Icon,
.-main-nav>ul>li>ul.sub-menu>li.current-menu-ancestor > .-Show-SubMenu-Icon
{
    color: var(--uicolor);
}

.header--Tools {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: flex-end;
}

.header--Tools .fsurl-btn {
    background: var(--backcolor);
    padding: 15px;
}.srch-type-icon {
    display: flex;
    position: relative;
    align-items: center;
    font-size: 18px;
    cursor: pointer;
    font-weight: 400;
    color: white;
    min-width: 50px;
    height: 50px;
    border-radius: 50%;
    gap: 10px;
    transition: 180ms;
    background: var(--backcolor2);
    justify-content: center;
}
.-main-nav>ul>li.current-menu-item>a, 
.-main-nav>ul>li.current_page_item>a,
.-main-nav>ul>li.current_page_parent>a,
.-main-nav>ul>li.current-menu-ancestor>a{
    color: white;
    background: #ffebd01f;
}.--socialheader ul li a:hover {
    color: white;
}.YourColor--Theme--image.--secondary--logo-image{
     position: absolute;
     opacity: 1;
     visibility: visible;
     right: 1px;
 }

header.fixedintro .-site-logo>a>.YourColor--Theme--image.--secondary--logo-image {
    opacity: 0;
    visibility: hidden;
}

.-site-logo.--logo-Image {
    position: relative;
    min-width: var(--logo-width);
}

.--company-menu-mobile {
    display: none;
}